# rtpdec

A simple RTP session manager used internally by rtspsrc.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──rtpdec

## Factory details

Authors: – Wim Taymans <wim.taymans@gmail.com></wim.taymans@gmail.com>

Classification: – `Codec/Parser/Network`

Rank – none

Plugin – rtsp

Package – GStreamer Good Plug-ins

## Pad Templates

### `recv_rtcp_sink_%u`

    application/x-rtcp:

Presence – request

Direction – sink

Object type – GstPad

### `recv_rtp_sink_%u`

    application/x-rtp:

Presence – request

Direction – sink

Object type – GstPad

### `recv_rtp_src_%u_%u_%u`

    application/x-rtp:

Presence – sometimes

Direction – src

Object type – GstPad

### `rtcp_src_%u`

    application/x-rtcp:

Presence – request

Direction – src

Object type – GstPad

## Signals

### clear-pt-map

    clear_pt_map_callback (GstElement * param_0,
                           gpointer udata)

    def clear_pt_map_callback (param_0, udata):
        #python callback for the 'clear-pt-map' signal

    function clear_pt_map_callback(param_0: GstElement * param_0, udata: gpointer udata): {
        // javascript callback for the 'clear-pt-map' signal
    }

Parameters:

`param_0` –
No description available
`udata` –
No description available

Flags: Run Last

### on-bye-ssrc

    on_bye_ssrc_callback (GstElement * rtpbin,
                          guint session,
                          guint ssrc,
                          gpointer udata)

    def on_bye_ssrc_callback (rtpbin, session, ssrc, udata):
        #python callback for the 'on-bye-ssrc' signal

    function on_bye_ssrc_callback(rtpbin: GstElement * rtpbin, session: guint session, ssrc: guint ssrc, udata: gpointer udata): {
        // javascript callback for the 'on-bye-ssrc' signal
    }

Notify of an SSRC that became inactive because of a BYE packet.

Parameters:

`rtpbin` –

the object which received the signal

`session` –

the session

`ssrc` –

the SSRC

`udata` –
No description available

Flags: Run Last

### on-bye-timeout

    on_bye_timeout_callback (GstElement * rtpbin,
                             guint session,
                             guint ssrc,
                             gpointer udata)

    def on_bye_timeout_callback (rtpbin, session, ssrc, udata):
        #python callback for the 'on-bye-timeout' signal

    function on_bye_timeout_callback(rtpbin: GstElement * rtpbin, session: guint session, ssrc: guint ssrc, udata: gpointer udata): {
        // javascript callback for the 'on-bye-timeout' signal
    }

Notify of an SSRC that has timed out because of BYE

Parameters:

`rtpbin` –

the object which received the signal

`session` –

the session

`ssrc` –

the SSRC

`udata` –
No description available

Flags: Run Last

### on-new-ssrc

    on_new_ssrc_callback (GstElement * rtpbin,
                          guint session,
                          guint ssrc,
                          gpointer udata)

    def on_new_ssrc_callback (rtpbin, session, ssrc, udata):
        #python callback for the 'on-new-ssrc' signal

    function on_new_ssrc_callback(rtpbin: GstElement * rtpbin, session: guint session, ssrc: guint ssrc, udata: gpointer udata): {
        // javascript callback for the 'on-new-ssrc' signal
    }

Notify of a new SSRC that entered session.

Parameters:

`rtpbin` –

the object which received the signal

`session` –

the session

`ssrc` –

the SSRC

`udata` –
No description available

Flags: Run Last

### on-ssrc-collision

    on_ssrc_collision_callback (GstElement * param_0,
                                guint arg0,
                                guint arg1,
                                gpointer udata)

    def on_ssrc_collision_callback (param_0, arg0, arg1, udata):
        #python callback for the 'on-ssrc-collision' signal

    function on_ssrc_collision_callback(param_0: GstElement * param_0, arg0: guint arg0, arg1: guint arg1, udata: gpointer udata): {
        // javascript callback for the 'on-ssrc-collision' signal
    }

Parameters:

`param_0` –
No description available
`arg0` –
No description available
`arg1` –
No description available
`udata` –
No description available

Flags: Run Last

### on-ssrc-validated

    on_ssrc_validated_callback (GstElement * param_0,
                                guint arg0,
                                guint arg1,
                                gpointer udata)

    def on_ssrc_validated_callback (param_0, arg0, arg1, udata):
        #python callback for the 'on-ssrc-validated' signal

    function on_ssrc_validated_callback(param_0: GstElement * param_0, arg0: guint arg0, arg1: guint arg1, udata: gpointer udata): {
        // javascript callback for the 'on-ssrc-validated' signal
    }

Parameters:

`param_0` –
No description available
`arg0` –
No description available
`arg1` –
No description available
`udata` –
No description available

Flags: Run Last

### on-timeout

    on_timeout_callback (GstElement * rtpbin,
                         guint session,
                         guint ssrc,
                         gpointer udata)

    def on_timeout_callback (rtpbin, session, ssrc, udata):
        #python callback for the 'on-timeout' signal

    function on_timeout_callback(rtpbin: GstElement * rtpbin, session: guint session, ssrc: guint ssrc, udata: gpointer udata): {
        // javascript callback for the 'on-timeout' signal
    }

Notify of an SSRC that has timed out

Parameters:

`rtpbin` –

the object which received the signal

`session` –

the session

`ssrc` –

the SSRC

`udata` –
No description available

Flags: Run Last

### request-pt-map

    GstCaps *
    request_pt_map_callback (GstElement * rtpdec,
                             guint session,
                             guint pt,
                             gpointer udata)

    def request_pt_map_callback (rtpdec, session, pt, udata):
        #python callback for the 'request-pt-map' signal

    function request_pt_map_callback(rtpdec: GstElement * rtpdec, session: guint session, pt: guint pt, udata: gpointer udata): {
        // javascript callback for the 'request-pt-map' signal
    }

Request the payload type as GstCaps for pt in session.

Parameters:

`rtpdec` –

the object which received the signal

`session` –

the session

`pt` –

the pt

`udata` –
No description available
Returns (GstCaps *) –
No description available

Flags: Run Last

## Properties

### latency

    “latency” guint

Amount of ms to buffer

Flags : Read / Write

Default value : 200

The results of the search are